Subject: bug#51696: Request: Adopt the unofficial GUIX community on Matrix

From: Jacob Hrbek <[email-masked]>
Date: Fri, 12 Nov 2021 15:32:17 +0000

> I was curious because you said in your experience the clients other than Element worked well (which is not my experience). -- Maxim

To clarify I meant that I didn't experience any issues sending or receiving messages on those clients and I asked "Is there any reason why should I check them?" in case you are aware of an issue that I should check.

> When I used tried using it a couple years back it was consuming easily 1 GiB of memory in the browser, sometimes 2. -- Maxim

The initial sync takes around this on my system as well which seems to grow depending on the complexity of the account e.g. account that joined X amount of channels and sent X amount of messages will need more resources for the login procedure due to the zero knowledge federation.

Could you try the client again for fresh data ideally outside of the matrix.org homeserver? I always have issues on the upstream homeserver so it makes me feel like its not representative of the network.

\---

FWIW there is a script for weechat that integrates matrix as well.

Sent from ProtonMail mobile

\-------- Original Message --------
On Nov 12, 2021, 15:52, Maxim Cournoyer < [email-masked]> wrote:

>
>
>
> Hi Jacob,
>
> Jacob Hrbek <[email-masked]> writes:
>
> >> I'm curious; have you tried any Matrix client that do not require a browser or need a large amount of system resources
> > to operate? --Maxim
> >
> > I was doing quick testing of other clients +- 7 months ago and decided to use element. I didn't do any additional testing
> > after that. Is there any reason why should I check them?
>
> I was curious because you said in your experience the clients other than
> Element worked well (which is not my experience).
>
> > I am not aware of any matrix's client that requires a large amount of processing resources to operate (excluding miitrix
> > for Nintendo DS allegedly which is allegedly due to the used Infrastructure on the device).. would be a major problem for
> > me if it did as my devices are optimized for battery life and tent to overheat on such use.
>
> When I used tried using it a couple years back it was consuming easily 1
> GiB of memory in the browser, sometimes 2. That's what I meant by
> "large amount of resources". In comparison, the WeeChat IRC client I
> use holds in less than 20 MiB of RAM.
>
> Thanks,
>
> Maxim
>